<?xml version="1.0" encoding="gbk" standalone="no"?>
<!DOCTYPE sqlMap PUBLIC "-//iBATIS.com//DTD SQL Map 2.0//EN" "http://ibatis.apache.org/dtd/sql-map-2.dtd">
<sqlMap namespace="" >
<!-- 	<typeAlias alias="Ywvideotaskrulebean" type="cn.vp.XXX.model.YwvideotaskruleBean"/> -->	<typeAlias alias="Ywvideotaskrule" type="cn.im.ywvideotaskrule.YwvideotaskruleBean"/>
	
	<sql id="condition_Ywvideotaskrule">
		where 1=1
		<isNotEmpty prepend='AND ' property='LIKEruleid'>
			(ruleid like '%$LIKEruleid$%'   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='ruleid'>
			(ruleid = #ruleid#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEtaskid'>
			(taskid like '%$LIKEtaskid$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='taskid'>
			(taskid = #taskid# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEruleruntime'>
			(ruleruntime like '%$LIKEruleruntime$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='ruleruntime'>
			(ruleruntime = #ruleruntime# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEnosignalswitch'>
			(nosignalswitch like '%$LIKEnosignalswitch$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='nosignalswitch'>
			(nosignalswitch = #nosignalswitch# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEimgclearswitch'>
			(imgclearswitch like '%$LIKEimgclearswitch$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='imgclearswitch'>
			(imgclearswitch = #imgclearswitch# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEimgclearunderlevel'>
			(imgclearunderlevel like '%$LIKEimgclearunderlevel$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='imgclearunderlevel'>
			(imgclearunderlevel = #imgclearunderlevel# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEimgclearupperlevel'>
			(imgclearupperlevel like '%$LIKEimgclearupperlevel$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='imgclearupperlevel'>
			(imgclearupperlevel = #imgclearupperlevel# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEimgcontrastswitch'>
			(imgcontrastswitch like '%$LIKEimgcontrastswitch$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='imgcontrastswitch'>
			(imgcontrastswitch = #imgcontrastswitch# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEimgcontrastunderlevel'>
			(imgcontrastunderlevel like '%$LIKEimgcontrastunderlevel$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='imgcontrastunderlevel'>
			(imgcontrastunderlevel = #imgcontrastunderlevel# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEimgcontrastupperlevel'>
			(imgcontrastupperlevel like '%$LIKEimgcontrastupperlevel$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='imgcontrastupperlevel'>
			(imgcontrastupperlevel = #imgcontrastupperlevel# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEimgcolorswitch'>
			(imgcolorswitch like '%$LIKEimgcolorswitch$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='imgcolorswitch'>
			(imgcolorswitch = #imgcolorswitch# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEimgcolordeviation'>
			(imgcolordeviation like '%$LIKEimgcolordeviation$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='imgcolordeviation'>
			(imgcolordeviation = #imgcolordeviation# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEimglightswitch'>
			(imglightswitch like '%$LIKEimglightswitch$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='imglightswitch'>
			(imglightswitch = #imglightswitch# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEimglightunderlevel'>
			(imglightunderlevel like '%$LIKEimglightunderlevel$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='imglightunderlevel'>
			(imglightunderlevel = #imglightunderlevel# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEimglightupperlevel'>
			(imglightupperlevel like '%$LIKEimglightupperlevel$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='imglightupperlevel'>
			(imglightupperlevel = #imglightupperlevel# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEvideofreezeswitch'>
			(videofreezeswitch like '%$LIKEvideofreezeswitch$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='videofreezeswitch'>
			(videofreezeswitch = #videofreezeswitch# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEvideofreezedegree'>
			(videofreezedegree like '%$LIKEvideofreezedegree$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='videofreezedegree'>
			(videofreezedegree = #videofreezedegree# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEvideojitterswitch'>
			(videojitterswitch like '%$LIKEvideojitterswitch$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='videojitterswitch'>
			(videojitterswitch = #videojitterswitch# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEvideojitterdegree'>
			(videojitterdegree like '%$LIKEvideojitterdegree$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='videojitterdegree'>
			(videojitterdegree = #videojitterdegree# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEvideoupheavalswitch'>
			(videoupheavalswitch like '%$LIKEvideoupheavalswitch$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='videoupheavalswitch'>
			(videoupheavalswitch = #videoupheavalswitch# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEvideoupheavaldegree'>
			(videoupheavaldegree like '%$LIKEvideoupheavaldegree$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='videoupheavaldegree'>
			(videoupheavaldegree = #videoupheavaldegree# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEvideocodeerrorswitch'>
			(videocodeerrorswitch like '%$LIKEvideocodeerrorswitch$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='videocodeerrorswitch'>
			(videocodeerrorswitch = #videocodeerrorswitch# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEvideocodeerrordegree'>
			(videocodeerrordegree like '%$LIKEvideocodeerrordegree$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='videocodeerrordegree'>
			(videocodeerrordegree = #videocodeerrordegree# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEvideonoiseswitch'>
			(videonoiseswitch like '%$LIKEvideonoiseswitch$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='videonoiseswitch'>
			(videonoiseswitch = #videonoiseswitch# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEvideonoisedegree'>
			(videonoisedegree like '%$LIKEvideonoisedegree$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='videonoisedegree'>
			(videonoisedegree = #videonoisedegree# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEvideorollstripeswitch'>
			(videorollstripeswitch like '%$LIKEvideorollstripeswitch$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='videorollstripeswitch'>
			(videorollstripeswitch = #videorollstripeswitch# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEvideorollstropedegree'>
			(videorollstropedegree like '%$LIKEvideorollstropedegree$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='videorollstropedegree'>
			(videorollstropedegree = #videorollstropedegree# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEcreateaccount'>
			(createaccount like '%$LIKEcreateaccount$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='createaccount'>
			(createaccount = #createaccount# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEcreatetime'>
			(createtime like '%$LIKEcreatetime$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='createtime'>
			(createtime = #createtime# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEmodifyaccount'>
			(modifyaccount like '%$LIKEmodifyaccount$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='modifyaccount'>
			(modifyaccount = #modifyaccount# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEmodifytime'>
			(modifytime like '%$LIKEmodifytime$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='modifytime'>
			(modifytime = #modifytime# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEremarks'>
			(remarks like '%$LIKEremarks$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='remarks'>
			(remarks = #remarks# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEextend1'>
			(extend1 like '%$LIKEextend1$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='extend1'>
			(extend1 = #extend1# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEextend2'>
			(extend2 like '%$LIKEextend2$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='extend2'>
			(extend2 = #extend2# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEextend3'>
			(extend3 like '%$LIKEextend3$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='extend3'>
			(extend3 = #extend3# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEextend4'>
			(extend4 like '%$LIKEextend4$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='extend4'>
			(extend4 = #extend4# )
		</isNotEmpty>
		<isNotEmpty property='tableparam'>
			$tableparam$
		</isNotEmpty>
		<isNotEmpty property='order'>
			$order$
		</isNotEmpty>
	</sql>
	
	<!-- add object -->
	<insert id="insert_Ywvideotaskrule" parameterClass="java.util.Map">
		insert into 
		ywvideotaskrule(
		<dynamic prepend=" ">  
			<isNotEmpty prepend=',' property='ruleid'>ruleid</isNotEmpty>
			<isNotEmpty prepend=',' property='taskid'>taskid</isNotEmpty>
			<isNotEmpty prepend=',' property='ruleruntime'>ruleruntime</isNotEmpty>
			<isNotEmpty prepend=',' property='nosignalswitch'>nosignalswitch</isNotEmpty>
			<isNotEmpty prepend=',' property='imgclearswitch'>imgclearswitch</isNotEmpty>
			<isNotEmpty prepend=',' property='imgclearunderlevel'>imgclearunderlevel</isNotEmpty>
			<isNotEmpty prepend=',' property='imgclearupperlevel'>imgclearupperlevel</isNotEmpty>
			<isNotEmpty prepend=',' property='imgcontrastswitch'>imgcontrastswitch</isNotEmpty>
			<isNotEmpty prepend=',' property='imgcontrastunderlevel'>imgcontrastunderlevel</isNotEmpty>
			<isNotEmpty prepend=',' property='imgcontrastupperlevel'>imgcontrastupperlevel</isNotEmpty>
			<isNotEmpty prepend=',' property='imgcolorswitch'>imgcolorswitch</isNotEmpty>
			<isNotEmpty prepend=',' property='imgcolordeviation'>imgcolordeviation</isNotEmpty>
			<isNotEmpty prepend=',' property='imglightswitch'>imglightswitch</isNotEmpty>
			<isNotEmpty prepend=',' property='imglightunderlevel'>imglightunderlevel</isNotEmpty>
			<isNotEmpty prepend=',' property='imglightupperlevel'>imglightupperlevel</isNotEmpty>
			<isNotEmpty prepend=',' property='videofreezeswitch'>videofreezeswitch</isNotEmpty>
			<isNotEmpty prepend=',' property='videofreezedegree'>videofreezedegree</isNotEmpty>
			<isNotEmpty prepend=',' property='videojitterswitch'>videojitterswitch</isNotEmpty>
			<isNotEmpty prepend=',' property='videojitterdegree'>videojitterdegree</isNotEmpty>
			<isNotEmpty prepend=',' property='videoupheavalswitch'>videoupheavalswitch</isNotEmpty>
			<isNotEmpty prepend=',' property='videoupheavaldegree'>videoupheavaldegree</isNotEmpty>
			<isNotEmpty prepend=',' property='videocodeerrorswitch'>videocodeerrorswitch</isNotEmpty>
			<isNotEmpty prepend=',' property='videocodeerrordegree'>videocodeerrordegree</isNotEmpty>
			<isNotEmpty prepend=',' property='videonoiseswitch'>videonoiseswitch</isNotEmpty>
			<isNotEmpty prepend=',' property='videonoisedegree'>videonoisedegree</isNotEmpty>
			<isNotEmpty prepend=',' property='videorollstripeswitch'>videorollstripeswitch</isNotEmpty>
			<isNotEmpty prepend=',' property='videorollstropedegree'>videorollstropedegree</isNotEmpty>
			<isNotEmpty prepend=',' property='createaccount'>createaccount</isNotEmpty>
			<isNotEmpty prepend=',' property='createtime'>createtime</isNotEmpty>
			<isNotEmpty prepend=',' property='modifyaccount'>modifyaccount</isNotEmpty>
			<isNotEmpty prepend=',' property='modifytime'>modifytime</isNotEmpty>
			<isNotEmpty prepend=',' property='remarks'>remarks</isNotEmpty>
			<isNotEmpty prepend=',' property='extend1'>extend1</isNotEmpty>
			<isNotEmpty prepend=',' property='extend2'>extend2</isNotEmpty>
			<isNotEmpty prepend=',' property='extend3'>extend3</isNotEmpty>
			<isNotEmpty prepend=',' property='extend4'>extend4</isNotEmpty>

		</dynamic>  
	    <![CDATA[ 
	        ) values ( 
	    ]]>  
	     <dynamic prepend=" "> 
			<isNotEmpty prepend=',' property='ruleid'>#ruleid#</isNotEmpty>
			<isNotEmpty prepend=',' property='taskid'>#taskid#</isNotEmpty>
			<isNotEmpty prepend=',' property='ruleruntime'>#ruleruntime#</isNotEmpty>
			<isNotEmpty prepend=',' property='nosignalswitch'>#nosignalswitch#</isNotEmpty>
			<isNotEmpty prepend=',' property='imgclearswitch'>#imgclearswitch#</isNotEmpty>
			<isNotEmpty prepend=',' property='imgclearunderlevel'>#imgclearunderlevel#</isNotEmpty>
			<isNotEmpty prepend=',' property='imgclearupperlevel'>#imgclearupperlevel#</isNotEmpty>
			<isNotEmpty prepend=',' property='imgcontrastswitch'>#imgcontrastswitch#</isNotEmpty>
			<isNotEmpty prepend=',' property='imgcontrastunderlevel'>#imgcontrastunderlevel#</isNotEmpty>
			<isNotEmpty prepend=',' property='imgcontrastupperlevel'>#imgcontrastupperlevel#</isNotEmpty>
			<isNotEmpty prepend=',' property='imgcolorswitch'>#imgcolorswitch#</isNotEmpty>
			<isNotEmpty prepend=',' property='imgcolordeviation'>#imgcolordeviation#</isNotEmpty>
			<isNotEmpty prepend=',' property='imglightswitch'>#imglightswitch#</isNotEmpty>
			<isNotEmpty prepend=',' property='imglightunderlevel'>#imglightunderlevel#</isNotEmpty>
			<isNotEmpty prepend=',' property='imglightupperlevel'>#imglightupperlevel#</isNotEmpty>
			<isNotEmpty prepend=',' property='videofreezeswitch'>#videofreezeswitch#</isNotEmpty>
			<isNotEmpty prepend=',' property='videofreezedegree'>#videofreezedegree#</isNotEmpty>
			<isNotEmpty prepend=',' property='videojitterswitch'>#videojitterswitch#</isNotEmpty>
			<isNotEmpty prepend=',' property='videojitterdegree'>#videojitterdegree#</isNotEmpty>
			<isNotEmpty prepend=',' property='videoupheavalswitch'>#videoupheavalswitch#</isNotEmpty>
			<isNotEmpty prepend=',' property='videoupheavaldegree'>#videoupheavaldegree#</isNotEmpty>
			<isNotEmpty prepend=',' property='videocodeerrorswitch'>#videocodeerrorswitch#</isNotEmpty>
			<isNotEmpty prepend=',' property='videocodeerrordegree'>#videocodeerrordegree#</isNotEmpty>
			<isNotEmpty prepend=',' property='videonoiseswitch'>#videonoiseswitch#</isNotEmpty>
			<isNotEmpty prepend=',' property='videonoisedegree'>#videonoisedegree#</isNotEmpty>
			<isNotEmpty prepend=',' property='videorollstripeswitch'>#videorollstripeswitch#</isNotEmpty>
			<isNotEmpty prepend=',' property='videorollstropedegree'>#videorollstropedegree#</isNotEmpty>
			<isNotEmpty prepend=',' property='createaccount'>#createaccount#</isNotEmpty>
			<isNotEmpty prepend=',' property='createtime'>#createtime#</isNotEmpty>
			<isNotEmpty prepend=',' property='modifyaccount'>#modifyaccount#</isNotEmpty>
			<isNotEmpty prepend=',' property='modifytime'>#modifytime#</isNotEmpty>
			<isNotEmpty prepend=',' property='remarks'>#remarks#</isNotEmpty>
			<isNotEmpty prepend=',' property='extend1'>#extend1#</isNotEmpty>
			<isNotEmpty prepend=',' property='extend2'>#extend2#</isNotEmpty>
			<isNotEmpty prepend=',' property='extend3'>#extend3#</isNotEmpty>
			<isNotEmpty prepend=',' property='extend4'>#extend4#</isNotEmpty>

		 </dynamic>  
	    <![CDATA[ 
	        ) 
	    ]]> 
	</insert>
	
	<!-- edit object  -->
	<update id="update_Ywvideotaskrule" parameterClass="java.util.Map">
		update ywvideotaskrule 
		<dynamic prepend="set ">   
			
			<isNotEmpty prepend=',' property='taskid'>taskid=#taskid#</isNotEmpty>
			<isNotEmpty prepend=',' property='ruleruntime'>ruleruntime=#ruleruntime#</isNotEmpty>
			<isNotEmpty prepend=',' property='nosignalswitch'>nosignalswitch=#nosignalswitch#</isNotEmpty>
			<isNotEmpty prepend=',' property='imgclearswitch'>imgclearswitch=#imgclearswitch#</isNotEmpty>
			<isNotEmpty prepend=',' property='imgclearunderlevel'>imgclearunderlevel=#imgclearunderlevel#</isNotEmpty>
			<isNotEmpty prepend=',' property='imgclearupperlevel'>imgclearupperlevel=#imgclearupperlevel#</isNotEmpty>
			<isNotEmpty prepend=',' property='imgcontrastswitch'>imgcontrastswitch=#imgcontrastswitch#</isNotEmpty>
			<isNotEmpty prepend=',' property='imgcontrastunderlevel'>imgcontrastunderlevel=#imgcontrastunderlevel#</isNotEmpty>
			<isNotEmpty prepend=',' property='imgcontrastupperlevel'>imgcontrastupperlevel=#imgcontrastupperlevel#</isNotEmpty>
			<isNotEmpty prepend=',' property='imgcolorswitch'>imgcolorswitch=#imgcolorswitch#</isNotEmpty>
			<isNotEmpty prepend=',' property='imgcolordeviation'>imgcolordeviation=#imgcolordeviation#</isNotEmpty>
			<isNotEmpty prepend=',' property='imglightswitch'>imglightswitch=#imglightswitch#</isNotEmpty>
			<isNotEmpty prepend=',' property='imglightunderlevel'>imglightunderlevel=#imglightunderlevel#</isNotEmpty>
			<isNotEmpty prepend=',' property='imglightupperlevel'>imglightupperlevel=#imglightupperlevel#</isNotEmpty>
			<isNotEmpty prepend=',' property='videofreezeswitch'>videofreezeswitch=#videofreezeswitch#</isNotEmpty>
			<isNotEmpty prepend=',' property='videofreezedegree'>videofreezedegree=#videofreezedegree#</isNotEmpty>
			<isNotEmpty prepend=',' property='videojitterswitch'>videojitterswitch=#videojitterswitch#</isNotEmpty>
			<isNotEmpty prepend=',' property='videojitterdegree'>videojitterdegree=#videojitterdegree#</isNotEmpty>
			<isNotEmpty prepend=',' property='videoupheavalswitch'>videoupheavalswitch=#videoupheavalswitch#</isNotEmpty>
			<isNotEmpty prepend=',' property='videoupheavaldegree'>videoupheavaldegree=#videoupheavaldegree#</isNotEmpty>
			<isNotEmpty prepend=',' property='videocodeerrorswitch'>videocodeerrorswitch=#videocodeerrorswitch#</isNotEmpty>
			<isNotEmpty prepend=',' property='videocodeerrordegree'>videocodeerrordegree=#videocodeerrordegree#</isNotEmpty>
			<isNotEmpty prepend=',' property='videonoiseswitch'>videonoiseswitch=#videonoiseswitch#</isNotEmpty>
			<isNotEmpty prepend=',' property='videonoisedegree'>videonoisedegree=#videonoisedegree#</isNotEmpty>
			<isNotEmpty prepend=',' property='videorollstripeswitch'>videorollstripeswitch=#videorollstripeswitch#</isNotEmpty>
			<isNotEmpty prepend=',' property='videorollstropedegree'>videorollstropedegree=#videorollstropedegree#</isNotEmpty>
			<isNotEmpty prepend=',' property='createaccount'>createaccount=#createaccount#</isNotEmpty>
			<isNotEmpty prepend=',' property='createtime'>createtime=#createtime#</isNotEmpty>
			<isNotEmpty prepend=',' property='modifyaccount'>modifyaccount=#modifyaccount#</isNotEmpty>
			<isNotEmpty prepend=',' property='modifytime'>modifytime=#modifytime#</isNotEmpty>
			<isNotEmpty prepend=',' property='remarks'>remarks=#remarks#</isNotEmpty>
			<isNotEmpty prepend=',' property='extend1'>extend1=#extend1#</isNotEmpty>
			<isNotEmpty prepend=',' property='extend2'>extend2=#extend2#</isNotEmpty>
			<isNotEmpty prepend=',' property='extend3'>extend3=#extend3#</isNotEmpty>
			<isNotEmpty prepend=',' property='extend4'>extend4=#extend4#</isNotEmpty>

		</dynamic>
		where  ruleid = #XGTJruleid#
			<isNotEmpty prepend='AND ' property='XGTJtaskid'> taskid = #XGTJtaskid# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJruleruntime'> ruleruntime = #XGTJruleruntime# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJnosignalswitch'> nosignalswitch = #XGTJnosignalswitch# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJimgclearswitch'> imgclearswitch = #XGTJimgclearswitch# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJimgclearunderlevel'> imgclearunderlevel = #XGTJimgclearunderlevel# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJimgclearupperlevel'> imgclearupperlevel = #XGTJimgclearupperlevel# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJimgcontrastswitch'> imgcontrastswitch = #XGTJimgcontrastswitch# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJimgcontrastunderlevel'> imgcontrastunderlevel = #XGTJimgcontrastunderlevel# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJimgcontrastupperlevel'> imgcontrastupperlevel = #XGTJimgcontrastupperlevel# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJimgcolorswitch'> imgcolorswitch = #XGTJimgcolorswitch# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJimgcolordeviation'> imgcolordeviation = #XGTJimgcolordeviation# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJimglightswitch'> imglightswitch = #XGTJimglightswitch# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJimglightunderlevel'> imglightunderlevel = #XGTJimglightunderlevel# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJimglightupperlevel'> imglightupperlevel = #XGTJimglightupperlevel# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJvideofreezeswitch'> videofreezeswitch = #XGTJvideofreezeswitch# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJvideofreezedegree'> videofreezedegree = #XGTJvideofreezedegree# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJvideojitterswitch'> videojitterswitch = #XGTJvideojitterswitch# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJvideojitterdegree'> videojitterdegree = #XGTJvideojitterdegree# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJvideoupheavalswitch'> videoupheavalswitch = #XGTJvideoupheavalswitch# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJvideoupheavaldegree'> videoupheavaldegree = #XGTJvideoupheavaldegree# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJvideocodeerrorswitch'> videocodeerrorswitch = #XGTJvideocodeerrorswitch# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJvideocodeerrordegree'> videocodeerrordegree = #XGTJvideocodeerrordegree# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJvideonoiseswitch'> videonoiseswitch = #XGTJvideonoiseswitch# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJvideonoisedegree'> videonoisedegree = #XGTJvideonoisedegree# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJvideorollstripeswitch'> videorollstripeswitch = #XGTJvideorollstripeswitch# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJvideorollstropedegree'> videorollstropedegree = #XGTJvideorollstropedegree# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJcreateaccount'> createaccount = #XGTJcreateaccount# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJcreatetime'> createtime = #XGTJcreatetime# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJmodifyaccount'> modifyaccount = #XGTJmodifyaccount# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJmodifytime'> modifytime = #XGTJmodifytime# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJremarks'> remarks = #XGTJremarks# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJextend1'> extend1 = #XGTJextend1# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJextend2'> extend2 = #XGTJextend2# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJextend3'> extend3 = #XGTJextend3# </isNotEmpty>
			<isNotEmpty prepend='AND ' property='XGTJextend4'> extend4 = #XGTJextend4# </isNotEmpty>

	</update>
	
	<!-- delete object -->
	<delete id="delete_Ywvideotaskrule" parameterClass="java.util.Map">
		delete from ywvideotaskrule 
		<include refid="condition_Ywvideotaskrule"/>
	</delete>
	
	<!-- batch delete object -->
	<delete id="batch_delete_Ywvideotaskrule" parameterClass="java.util.Map">
		delete from ywvideotaskrule 
		where 1=1
			<isNotEmpty prepend='AND ' property='keyword'>
			key  in (#keyword#)
			</isNotEmpty>
	</delete>
	
	<!-- query objects by page-->
	<select id="query_Ywvideotaskrule" resultClass="java.util.HashMap" parameterClass="java.util.Map">
		select 
			ruleid,taskid,ruleruntime,nosignalswitch,imgclearswitch,imgclearunderlevel,imgclearupperlevel,imgcontrastswitch,imgcontrastunderlevel,imgcontrastupperlevel,imgcolorswitch,imgcolordeviation,imglightswitch,imglightunderlevel,imglightupperlevel,videofreezeswitch,videofreezedegree,videojitterswitch,videojitterdegree,videoupheavalswitch,videoupheavaldegree,videocodeerrorswitch,videocodeerrordegree,videonoiseswitch,videonoisedegree,videorollstripeswitch,videorollstropedegree,createaccount,createtime,modifyaccount,modifytime,remarks,extend1,extend2,extend3,extend4
		from ywvideotaskrule 
		<include refid="condition_Ywvideotaskrule"/>		
	</select>
	
	<!-- query objects totalcount -->
	<select id="count_Ywvideotaskrule" resultClass="java.lang.Integer" parameterClass="java.util.Map">
		select count(*) from ywvideotaskrule 
		<include refid="condition_Ywvideotaskrule"/>			
	</select>
	
	<!-- batch add objects -->
	<insert id="batch_insert_Ywvideotaskrule" parameterClass="java.util.List">
	 	<![CDATA[
          INSERT
      	]]>
      	<iterate conjunction=" " > 
			into ywvideotaskrule(
			 <![CDATA[ 
				ruleid,taskid,ruleruntime,nosignalswitch,imgclearswitch,imgclearunderlevel,imgclearupperlevel,imgcontrastswitch,imgcontrastunderlevel,imgcontrastupperlevel,imgcolorswitch,imgcolordeviation,imglightswitch,imglightunderlevel,imglightupperlevel,videofreezeswitch,videofreezedegree,videojitterswitch,videojitterdegree,videoupheavalswitch,videoupheavaldegree,videocodeerrorswitch,videocodeerrordegree,videonoiseswitch,videonoisedegree,videorollstripeswitch,videorollstropedegree,createaccount,createtime,modifyaccount,modifytime,remarks,extend1,extend2,extend3,extend4
			)values
			 ]]>  		 
			 <![CDATA[ 
				(
				#list[].ruleid#,#list[].taskid#,#list[].ruleruntime#,#list[].nosignalswitch#,#list[].imgclearswitch#,#list[].imgclearunderlevel#,#list[].imgclearupperlevel#,#list[].imgcontrastswitch#,#list[].imgcontrastunderlevel#,#list[].imgcontrastupperlevel#,#list[].imgcolorswitch#,#list[].imgcolordeviation#,#list[].imglightswitch#,#list[].imglightunderlevel#,#list[].imglightupperlevel#,#list[].videofreezeswitch#,#list[].videofreezedegree#,#list[].videojitterswitch#,#list[].videojitterdegree#,#list[].videoupheavalswitch#,#list[].videoupheavaldegree#,#list[].videocodeerrorswitch#,#list[].videocodeerrordegree#,#list[].videonoiseswitch#,#list[].videonoisedegree#,#list[].videorollstripeswitch#,#list[].videorollstropedegree#,#list[].createaccount#,#list[].createtime#,#list[].modifyaccount#,#list[].modifytime#,#list[].remarks#,#list[].extend1#,#list[].extend2#,#list[].extend3#,#list[].extend4#
				)
			]]>    
    	</iterate> 
	</insert>
</sqlMap>











